import { computed, defineComponent, inject, provide } from 'vue';
var SelectContextKey = Symbol('SelectContextKey');
export var SelectContext = defineComponent({
  name: 'SelectContext',
  props: {
    value: {
      type: Object
    }
  },
  setup: function setup(props, _ref) {
    var slots = _ref.slots;
    provide(SelectContextKey, computed(function () {
      return props.value;
    }));
    return function () {
      var _slots$default;

      return (_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots);
    };
  }
});
export var useInjectTreeSelectContext = function useInjectTreeSelectContext() {
  return inject(SelectContextKey, computed(function () {
    return {};
  }));
};